VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "VacationVisitor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa VacationVisitor
Implements Visitor
Dim totalDays As Integer
'-----
Private Sub Class_Initialize()
  totalDays = 0
End Sub
'-----
Private Sub Visitor_visit(emp As Employee)
  totalDays = totalDays + emp.getVacDays
End Sub
'-----
Public Function getTotalDays() As Integer
  getTotalDays = totalDays
End Function
